# Class $SceProvider

- Defined in core/sce/sce.js:476

#####
Index

### Constructors

constructor

### Properties

$get
enabled

##
Constructors

### constructor

- new $SceProvider(): $SceProvider

- #### Returns $SceProvider

  - Defined in core/sce/sce.js:476

##
Properties

### $get

$get: (string | (($parse: any, $sceDelegate: any) => any))[]

- Defined in core/sce/sce.js:493

### enabled

enabled: ((value: boolean, ...args: any) => boolean)

#### Type declaration

- - (value, ...args): boolean

  - #### Parameters

    - value: boolean

      If provided, then enables/disables SCE application-wide.

    - `Rest`...args: any

    #### Returns boolean

    True if SCE is enabled, false otherwise.

#### Description

Enables/disables SCE and returns the current value.

- Defined in core/sce/sce.js:486